## NAME

d.thematic.area - Displays a thematic vector area map in the active frame on the graphics monitor.

## KEYWORDS

display, cartography

## SYNOPSIS

d.thematic.area
d.thematic.area help
d.thematic.area [-len] map=name column=string [breaks=string[,string,...]] [algorithm=string] [nbclasses=integer] colors=string[,string,...] [layer=integer] [where=sql_query] [bwidth=integer] [bcolor=string] [render=string] [legendfile=name] [--verbose] [--quiet]

### Flags:

-l
  Create legend information and send to stdout
-e
  When printing legend info , include extended statistical info from classification algorithm
-n
  Do not draw map, only output the legend
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
column=string
  Data to be classified: column name or expression
breaks=string[,string,...]
  Class breaks, without minimum and maximum
algorithm=string
  Algorithm to use for classification
  Options: int,std,qua,equ,dis
  int: simple intervals
  std: standard deviations
  qua: quantiles
  equ: equiprobable (normal distribution)
nbclasses=integer
  Number of classes to define
colors=string[,string,...]
  Colors (one per class).
layer=integer
  Layer number
  Layer number. If -1, all layers are displayed.
  Default: 1
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
bwidth=integer
  Boundary width
  Default: 0
bcolor=string
  Boundary color
  Default: black
render=string
  Rendering method for filled polygons
  Options: d,c,l
  Default: l
  d: use the display library basic functions (features: polylines)
  c: use the display library clipping functions (features: clipping)
  l: use the display library culling functions (features: culling, polylines)
legendfile=name
  File in which to save d.graph instructions for legend display

## DESCRIPTION

d.thematic.area draws thematic coropleth vector maps based on an attribute column or an expression involving several columns. It takes a number of class breaks (excluding the minimum and maximum values) and a list of colors to apply to the classes (has to be the number of class breaks + 1). The -l flag instructs the module to print legend information (class min | class max | number of observations in class | color) to standard output for futher use in graphical software. When given this flag with the -n flag, the module will only print the legend information without drawing the map. One can used v.class to supply class breaks for d.thematic.area (see example below);

## EXAMPLE

    d.thematic.area -l map=communes3 data=pop breaks=111393.250000,222785.500000,334177.750000 colors=255:0:0,0:255:0,0:0:255,0,0,0

The following example uses a calculated attribute (density = pop/area) and v.class to calculate class breaks and feed them directly into d.thematic.area:

    d.thematic.area -l map=communes2 data=pop/area breaks=`v.class -g map=communes2 column=pop/area algo=std nbcla=5` colors=0:0:255,50:100:255,255:100:50,255:0:0,156:0:0

## SEE ALSO

v.class d.vect v.univar

## AUTHOR

Moritz Lennert

Main index - display index - Full index

© 2003-2014 GRASS Development Team